> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.nunu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Deployment Configs

> Retrieve a paginated list of deployment configurations for your project.

<Info>
  **Permission Required**: `project:view-configs`
</Info>

Retrieve a paginated list of deployment configurations for your project. Use
this endpoint to discover valid `deployment_config_id` values for
[Start a Run](/api-reference/runs/start-run) and
[Start Test Plan Run](/api-reference/test-plans/start-test-plan-run).

## Query Parameters

<ParamField query="page" type="integer" default="0">
  Page number (0-indexed)
</ParamField>

<ParamField query="page_size" type="integer" default="25">
  Results per page (1-100)
</ParamField>

## Response

<ResponseField name="data" type="DeploymentConfig[]" required>
  Array of deployment config objects
</ResponseField>

<ResponseField name="pagination" type="object" required>
  Pagination metadata (`page`, `page_size`, `total_count`, `total_pages`)
</ResponseField>

### DeploymentConfig Object

<ResponseField name="id" type="string" required>
  Deployment config ID (use as `deployment_config_id` when starting runs)
</ResponseField>

<ResponseField name="name" type="string" required>
  Deployment config name
</ResponseField>

<ResponseField name="description" type="string">
  Optional description
</ResponseField>

<ResponseField name="kind" type="string" required>
  Platform kind (e.g. `windows`, `macos`, `linux`, `android`, `ios`,
  `xbox`, `playstation`)
</ResponseField>

<ResponseField name="pinned" type="boolean" required>
  Whether the config is pinned
</ResponseField>

<ResponseField name="providerType" type="string">
  Underlying build provider (e.g. `build-storage`, `direct-url`), or `null` if
  unknown
</ResponseField>

<RequestExample>
  ```bash cURL theme={"theme":{"light":"catppuccin-latte","dark":"catppuccin-mocha"}}
  curl -X GET "https://nunu.ai/api/v1/project/your-project-id/deployment-configs?page=0&page_size=25" \
    -H "X-Api-Key: YOUR_API_TOKEN"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={"theme":{"light":"catppuccin-latte","dark":"catppuccin-mocha"}}
  {
    "data": [
      {
        "id": "456e7890-e89b-12d3-a456-426614174000",
        "name": "Android prod",
        "description": "Build storage based android deployment",
        "kind": "android",
        "pinned": true,
        "providerType": "build-storage"
      }
    ],
    "pagination": {
      "page": 0,
      "page_size": 25,
      "total_count": 1,
      "total_pages": 1
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /project/{projectId}/deployment-configs
openapi: 3.1.0
info:
  title: nunu.ai API
  description: >-
    The nunu.ai Public API allows you to programmatically interact with your
    projects, manage test runs, and upload builds.
  version: 1.0.0
servers:
  - url: https://nunu.ai/api/v1
security:
  - apiKeyAuth: []
paths:
  /project/{projectId}/deployment-configs:
    parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: string
        description: >-
          The project ID. You can copy it from the project settings page or the
          project URL in the dashboard.
    get:
      tags:
        - Configs
      summary: List Deployment Configs
      description: Retrieve a paginated list of deployment configurations for your project.
      operationId: listDeploymentConfigs
      parameters:
        - name: page
          in: query
          description: Page number (0-indexed)
          schema:
            type: integer
            default: 0
        - name: page_size
          in: query
          description: Results per page (1-100)
          schema:
            type: integer
            default: 25
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListDeploymentConfigsResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden - missing project:view-configs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ListDeploymentConfigsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/DeploymentConfig'
        pagination:
          $ref: '#/components/schemas/Pagination'
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        details:
          type: object
    DeploymentConfig:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        kind:
          type: string
          description: >-
            Platform kind (e.g. windows, macos, linux, android, ios, xbox,
            playstation)
        pinned:
          type: boolean
        providerType:
          type: string
          nullable: true
    Pagination:
      type: object
      properties:
        page:
          type: integer
        page_size:
          type: integer
        total_count:
          type: integer
        total_pages:
          type: integer
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: API key for authentication

````